org.apache.poi.xddf.usermodel

## Enum SystemColor

- java.lang.Object
- - java.lang.Enum<SystemColor>
  - - org.apache.poi.xddf.usermodel.SystemColor

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SystemColor>

      public enum SystemColor
      extends java.lang.Enum<SystemColor>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE_BORDER`
    `ACTIVE_CAPTION`
    `APPLICATION_WORKSPACE`
    `BACKGROUND`
    `BUTTON_FACE`
    `BUTTON_HIGHLIGHT`
    `BUTTON_SHADOW`
    `BUTTON_TEXT`
    `CAPTION_TEXT`
    `GRADIENT_ACTIVE_CAPTION`
    `GRADIENT_INACTIVE_CAPTION`
    `GRAY_TEXT`
    `HIGHLIGHT`
    `HIGHLIGHT_TEXT`
    `HOT_LIGHT`
    `INACTIVE_BORDER`
    `INACTIVE_CAPTION`
    `INACTIVE_CAPTION_TEXT`
    `INFO_BACKGROUND`
    `INFO_TEXT`
    `MENU`
    `MENU_BAR`
    `MENU_HIGHLIGHT`
    `MENU_TEXT`
    `SCROLL_BAR`
    `WINDOW`
    `WINDOW_FRAME`
    `WINDOW_TEXT`
    `X_3D_DARK_SHADOW`
    `X_3D_LIGHT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SystemColor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SystemColor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE_BORDER

          public static final SystemColor ACTIVE_BORDER

    - #### ACTIVE_CAPTION

          public static final SystemColor ACTIVE_CAPTION

    - #### APPLICATION_WORKSPACE

          public static final SystemColor APPLICATION_WORKSPACE

    - #### BACKGROUND

          public static final SystemColor BACKGROUND

    - #### BUTTON_FACE

          public static final SystemColor BUTTON_FACE

    - #### BUTTON_HIGHLIGHT

          public static final SystemColor BUTTON_HIGHLIGHT

    - #### BUTTON_SHADOW

          public static final SystemColor BUTTON_SHADOW

    - #### BUTTON_TEXT

          public static final SystemColor BUTTON_TEXT

    - #### CAPTION_TEXT

          public static final SystemColor CAPTION_TEXT

    - #### GRADIENT_ACTIVE_CAPTION

          public static final SystemColor GRADIENT_ACTIVE_CAPTION

    - #### GRADIENT_INACTIVE_CAPTION

          public static final SystemColor GRADIENT_INACTIVE_CAPTION

    - #### GRAY_TEXT

          public static final SystemColor GRAY_TEXT

    - #### HIGHLIGHT

          public static final SystemColor HIGHLIGHT

    - #### HIGHLIGHT_TEXT

          public static final SystemColor HIGHLIGHT_TEXT

    - #### HOT_LIGHT

          public static final SystemColor HOT_LIGHT

    - #### INACTIVE_BORDER

          public static final SystemColor INACTIVE_BORDER

    - #### INACTIVE_CAPTION

          public static final SystemColor INACTIVE_CAPTION

    - #### INACTIVE_CAPTION_TEXT

          public static final SystemColor INACTIVE_CAPTION_TEXT

    - #### INFO_BACKGROUND

          public static final SystemColor INFO_BACKGROUND

    - #### INFO_TEXT

          public static final SystemColor INFO_TEXT

    - #### MENU

          public static final SystemColor MENU

    - #### MENU_BAR

          public static final SystemColor MENU_BAR

    - #### MENU_HIGHLIGHT

          public static final SystemColor MENU_HIGHLIGHT

    - #### MENU_TEXT

          public static final SystemColor MENU_TEXT

    - #### SCROLL_BAR

          public static final SystemColor SCROLL_BAR

    - #### WINDOW

          public static final SystemColor WINDOW

    - #### WINDOW_FRAME

          public static final SystemColor WINDOW_FRAME

    - #### WINDOW_TEXT

          public static final SystemColor WINDOW_TEXT

    - #### X_3D_DARK_SHADOW

          public static final SystemColor X_3D_DARK_SHADOW

    - #### X_3D_LIGHT

          public static final SystemColor X_3D_LIGHT

  - ### Method Detail

    - #### values

          public static SystemColor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SystemColor c : SystemColor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SystemColor valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.